﻿var KeyHandler = {
    tvKey : null,
    MainMenuAnchor : null,
    LivePlayerAnchor : null,
	NumberEntered : '',
	ChSelectorTimeout : null,
	Selectbox : null,
	info_focus : false,

}

KeyHandler.create = function() {
    this.MainMenuAnchor  =  document.getElementById("MainMenu_Anchor");
    this.LivePlayerAnchor  =  document.getElementById("LivePlayer_Anchor");    
	this.SelectboxAnchor = document.getElementById("Selectbox_Anchor");
	this.BrowserAnchor = document.getElementById("Browser_Anchor");
	this.tvKey = new Common.API.TVKeyValue();
}

KeyHandler.setFocus = function(menuID) {  
	ConsoleLog('KeyHandler.setFocus ' + menuID);
    switch(menuID)
    {
		case Main.MainMenu_ID:
			this.MainMenuAnchor.focus();
			break;
		case Main.LivePlayer_ID:
			this.LivePlayerAnchor.focus();
			break;
		case Main.Selectbox_ID:
			this.SelectboxAnchor.focus();
			break;		
				
		default:
		  alert("Unhandled key");
    }    
}

/*
650 TXT MIX
259 PREV CH
Dual: 655
AD: 0
SUB: 652
GUID 651
*/

KeyHandler.KanalSelector = function() 
{
	alert('KeyHandler.KanalSelector');
	var max = API.chan_counter;
	if(KeyHandler.NumberEntered>max)
	{
		Display.status('ошибка ввода');
	}
	else if (KeyHandler.NumberEntered > 0)
	{
		if(KeyHandler.NumberEntered < 11)
			Main.selected_channel = KeyHandler.NumberEntered - 1;
		else if((KeyHandler.NumberEntered % 10)>0)
			Main.selected_channel = (KeyHandler.NumberEntered % 10) - 1;
		else
			Main.selected_channel =  9;
					
		if (Main.selected_channel < 4)
			Main.selected_page = Math.round(KeyHandler.NumberEntered / 10);
		else
			Main.selected_page = Math.round(KeyHandler.NumberEntered / 10) - 1;
			
		Main.chan_array_index = parseInt(KeyHandler.NumberEntered - 1);
		Main.ch_id_selected = API.channels[Main.chan_array_index][0];
		
		KeyHandler.NumberEntered = '';
		Main.updatePage();
		Main.updateChannel();
		Main.PlayChannel();
		
	}

	KeyHandler.NumberEntered = '';
}

KeyHandler.Keys10 = function(keyCode)
{
	var number="";
	clearTimeout(Player.kinozal_live_reloader);
	switch(keyCode)
    {    
		case this.tvKey.KEY_1:
			number="1";
            break;
		case this.tvKey.KEY_2:
			number="2";
            break;
		case this.tvKey.KEY_3:
			number="3";
            break;
		case this.tvKey.KEY_4:
			number="4";
            break;
		case this.tvKey.KEY_5:
			number="5";
            break;
		case this.tvKey.KEY_6:
			number="6";
            break;
		case this.tvKey.KEY_7:
			number="7";
            break;
		case this.tvKey.KEY_8:
			number="8";
            break;
		case this.tvKey.KEY_9:
			number="9";
            break;
		case this.tvKey.KEY_0:
			number="0";
            break;		
		default:
                                  alert("Unhandled key");
            break;
	}
	
	KeyHandler.NumberEntered = KeyHandler.NumberEntered + number;
	if(number!="" && KeyHandler.NumberEntered != "")
	{
		Display.status(KeyHandler.NumberEntered);
		//if(Main.PlayerMode == "0")
		  //{

			//Main.player.info(KeyHandler.NumberEntered);
		//}
		clearTimeout(this.ChSelectorTimeout);
		this.ChSelectorTimeout = setTimeout("KeyHandler.KanalSelector();", 2000);
	}

}
	
KeyHandler.MainMenuKeyDown = function()
{
    var keyCode0 = event.keyCode;
	alert(" MainMenuKeyDown Key pressed: " + keyCode0);
	//Display.status("BUTTON-ID: " + keyCode0);
	KeyHandler.Keys10(keyCode0);
	
	switch(keyCode0)
    {    
		case this.tvKey.KEY_EXIT:
			widgetAPI.blockNavigation(event);
	                                   Player.plugin.Stop();
			if(Main.PlayerMode == "0")
			{
				document.getElementById("flashplayer").style.display="none";
				document.getElementById("main").style.display="block";
				widgetAPI.putInnerHTML(document.getElementById("flashplayer"), "");
                                           
                                     	}
			
                		document.getElementById("old_help").style.display="block";
			document.getElementById("back_to_player").style.display="none";	
		                    widgetAPI.sendReturnEvent();
            break;
                   break;
	              case this.tvKey.KEY_RETURN:
			widgetAPI.blockNavigation(event);
                                   if(Player.state == Player.PLAYING_LIVE)
			{
				Main.selected_channel = Player.selected_channel;
				Main.selected_page = Player.selected_page;
				Main.chan_array_index = Player.chan_array_index;
				Main.UpdatePlayerStatusbar();
				KeyHandler.setFocus(Main.LivePlayer_ID);
				Display.showplayer();
				Display.hidemenu();
			} 		
		
            break;
			
		 case this.tvKey.KEY_DOWN:
                                    Main.selectNextChannel();
            break;
            
                            case this.tvKey.KEY_UP:
                                   Main.selectPrevChannel();
            break;            

		case this.tvKey.KEY_LEFT:
                                    Main.selectPrevPage();
            break;
            
                            case this.tvKey.KEY_RIGHT:
                                    Main.selectNextPage();
            break;
			
                            case this.tvKey.KEY_ENTER:			
			Main.PlayChannel();
            break;
	
                            case this.tvKey.KEY_VOL_UP:
                                   Audio.setRelativeVolume(0);
			Display.setVolume();
            break;
            
                            case this.tvKey.KEY_VOL_DOWN:
                                       Audio.setRelativeVolume(1);
			Display.setVolume();
            break; 

		case this.tvKey.KEY_GREEN:
                                pluginAPI.ShowTools(1);
            break;
 
		case this.tvKey.KEY_YELLOW:
			pluginAPI.ShowTools(0);
            break;

		case this.tvKey.KEY_MUTE:
			Audio.muteMode();
            break;	

		case this.tvKey.KEY_TOOLS: //Menu
 		         Player.plugin.Stop();
			{
				document.getElementById("flashplayer").style.display="none";
				document.getElementById("main").style.display="block";
				widgetAPI.putInnerHTML(document.getElementById("flashplayer"), "");
                                           
                                      	}                                      
                                          Setup.setFormular();
            break;

                            case this.tvKey.KEY_RED:
			Main.showCategorySelector();
            break;

			
                            case this.tvKey.KEY_STOP:
			if(Main.yandextv_mode)
			     Main.DisableGone();
			break;
			
		case this.tvKey.KEY_FF:
			if(Main.yandextv_mode)
			{
			API.yandex_days = API.yandex_days + 1;
			Main.yandexTVinfo();
			}

            break;
        
                            case this.tvKey.KEY_RW:
			if(Main.yandextv_mode)
			{
			API.yandex_days = API.yandex_days - 1;
			Main.yandexTVinfo();
			}
            break;

		case 65://KEY_CH_DOWN
			if(Main.yandextv_mode)
			{
				Main.scrolling = Main.scrolling + 20;
				var test = document.getElementsByClassName("b-schedule__channel")[0];
				test.style.margin = Main.scrolling + 'px 0px 0px 0px';
	 
	                                      }    
            break		 
		 
		case 68://KEY_CH_UP
			if(Main.yandextv_mode)
			{
				Main.scrolling = Main.scrolling - 20;
				var test =  document.getElementsByClassName("b-schedule__channel")[0];
				test.style.margin = Main.scrolling + 'px 0px 0px 0px';
		
	                            }    
            break	
			
		case this.tvKey.KEY_PAUSE:
			if(Main.yandextv_mode)
			{          			
			alert( document.getElementById('infoList').innerHTML);
			}
			break; 		

		case this.tvKey.KEY_PLAY:
			if(Main.yandextv_mode)
			{          			
			Main.yandexTVinfo();
			}
			break;
			
		default:
                                alert("Unhandled key");
            break;
    }
}	


KeyHandler.SelectboxKeyDown = function()
{

	var keyCode5 = event.keyCode;
	alert("SelectboxKeyDown Key pressed: " + keyCode5);
			
	switch(keyCode5)
    {
		        case this.tvKey.KEY_DOWN:;
                                         Selectbox.selectNextItem();
            break;
            
                                   case this.tvKey.KEY_UP:
			Selectbox.selectPrevItem();
            break;            
			
                                   case this.tvKey.KEY_ENTER:
			Selectbox.SelectCategory();
            break;

		       case this.tvKey.KEY_LEFT:;
                                          Selectbox.selectPrevPage();
            break;
            
                                   case this.tvKey.KEY_RIGHT:
			Selectbox.selectNextPage();
            break;
			
	                case this.tvKey.KEY_EXIT:
		        case this.tvKey.KEY_RETURN:
			widgetAPI.blockNavigation(event);
			Selectbox.selectbox_html.style.display="none";
			KeyHandler.setFocus(Main.MainMenu_ID);
            break;
			break;
			
		default:
            alert("Unhandled key");
            break;
	}

}

KeyHandler.LivePlayerKeyDown = function()
{
	var keyCode1 = event.keyCode;
	alert("LivePlayerKeyDown Key pressed: " + keyCode1);
	KeyHandler.Keys10(keyCode1);	
	
	switch(keyCode1)
    {			

		case 653://KEY_ASPECT
                      if(Main.PlayerMode == "1")            
                           
                                   {   
                                       if (Player.getSize()>=4)
                                         
	                               Player.setSize(0, 1, 2, 3);	   
		    
		  else		     
		        
		         Player.setSize(Player.getSize()+1, 1, 2, 3); 
                                       
		        }
		  else
                                          Display.status('не поддерживается');
             break;	
            
		case 1219://KEY_3D
			Screen.changeMode();
            break;
 
		 case this.tvKey.KEY_LEFT:
		 case 65://KEY_CH_DOWN

                                    Main.selectPrevChannel();
			Main.PlayChannel();
            break;
            
                            case this.tvKey.KEY_RIGHT:
		     case 68://KEY_CH_UP

                                      Main.selectNextChannel();
			Main.PlayChannel();
            break;            
                              case this.tvKey.KEY_INFO:
                                case this.tvKey.KEY_ENTER:
			if(Main.PlayerMode == "0")
			{
			 Main.player.info(API.channels[Main.chan_array_index][1]);
			document.getElementById("old_help").style.display="none";
			}
  			Display.showplayer();
            break;
	break;		
                              case this.tvKey.KEY_VOL_UP:
                                       Audio.setRelativeVolume(0);
			if(Main.PlayerMode == "0" && Main.serieC)
				Main.player.set_text("Volume: " + Audio.getVolume());
                                                    Display.setVolume();						
            break;                                        
            
                               case this.tvKey.KEY_VOL_DOWN:
                                              Audio.setRelativeVolume(1);
			if(Main.PlayerMode == "0" && Main.serieC)
			       Main.player.set_text("Volume: " + Audio.getVolume());
			               Display.setVolume();
            break; 				
                               case this.tvKey.KEY_EXIT:
	                           widgetAPI.blockNavigation(event);
	                                   Player.plugin.Stop();
			if(Main.PlayerMode == "0")
			{
				document.getElementById("flashplayer").style.display="none";
				document.getElementById("main").style.display="block";
				widgetAPI.putInnerHTML(document.getElementById("flashplayer"), "");
                                           
                                     	}
                                     	
 			Display.hideplayer();
                                          Display.showmenu();
			document.getElementById("old_help").style.display="block";
			document.getElementById("back_to_player").style.display="none";
			Main.Menu();
             break; 
		        case this.tvKey.KEY_RETURN:
			 widgetAPI.blockNavigation(event);
			
			Display.hideplayer();
                                          Display.showmenu();
                                          document.getElementById("old_help").style.display="none";
                                          document.getElementById("back_to_player").style.display="block";
			Main.Menu();
            break;
  
			
		case this.tvKey.KEY_MUTE:
			Audio.muteMode();
            break;
			
		case this.tvKey.KEY_GREEN:
                                         pluginAPI.ShowTools(1);
            break;
 
		case this.tvKey.KEY_YELLOW:
			pluginAPI.ShowTools(0);
            break;
			
		default:
                                   alert("Unhandled key");
            break;
	}
}
